/*
 * Front gateway
 *
 * Front gateway
 *
 * API version: 0.0.1
 * Generated by: OpenAPI Generator (https://openapi-generator.tech)
 */

package openapi

type ValidationErrorsItems struct {

	Key string `json:"key,omitempty"`

	Rule string `json:"rule,omitempty"`

	Message string `json:"message,omitempty"`
}

// AssertValidationErrorsItemsRequired checks if the required fields are not zero-ed
func AssertValidationErrorsItemsRequired(obj ValidationErrorsItems) error {
	return nil
}

// AssertRecurseValidationErrorsItemsRequired recursively checks if required fields are not zero-ed in a nested slice.
// Accepts only nested slice of ValidationErrorsItems (e.g. [][]ValidationErrorsItems), otherwise ErrTypeAssertionError is thrown.
func AssertRecurseValidationErrorsItemsRequired(objSlice interface{}) error {
	return AssertRecurseInterfaceRequired(objSlice, func(obj interface{}) error {
		aValidationErrorsItems, ok := obj.(ValidationErrorsItems)
		if !ok {
			return ErrTypeAssertionError
		}
		return AssertValidationErrorsItemsRequired(aValidationErrorsItems)
	})
}
